%define name hgsubversion
%define myver 1.3
# define myrelver 23
# define hash 0b07a0c574bc
# define version %{myver}_%{myrelver}_%{hash}
%define version %{myver}
# define unmangled_version %{myver}-%{myrelver}-%{hash}
%define unmangled_version %{version}
%define release %mkrel 3

Summary: Mercurial extension for working with Subversion repositories
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{unmangled_version}.tar.bz2
License: GNU GPL
Group: Development/Other
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Url: http://bitbucket.org/durin42/hgsubversion

%description
.. -*-restructuredtext-*-

============
hgsubversion
============

hgsubversion is an extension for Mercurial that allows using Mercurial
as a Subversion client.

At this point, hgsubversion is usable by users reasonably familiar with
Mercurial as a VCS. It's not recommended to dive into hgsubversion as an
introduction to Mercurial, since hgsubversion "bends the rules" a little
and violates some of the typical assumptions of early Mercurial users.

Installation
------------
You need to have either have Subversion 1.5 (or later) installed along with
either Subvertpy 0.7.4 (or later) or the Subversion SWIG Python bindings. You
need Mercurial 1.3 or later.

.. _mercurial: http://selenic.com/repo/hg
.. _mercurial-stable: http://selenic.com/repo/hg-stable
.. _crew: http://hg.intevation.org/mercurial/crew
.. _crew-stable: http://hg.intevation.org/mercurial/crew-stable

If you are unfamiliar with installing Mercurial extensions, please see
the UsingExtensions_ page in the Mercurial wiki. Look at the example
for specifying an absolute path near the bottom of the page. You want
to give the path to the top level of your clone of this repository.

.. _UsingExtensions: http://mercurial.selenic.com/wiki/UsingExtensions

Before using hgsubversion, I *strongly* encourage you to run the
automated tests. Just use nose_ if you have it (or ``easy_install
nose`` if you want it), or use ``python tests/run.py`` to run the
suite with the conventional test runner. Note that because I use nose,
there's a lot of stdout spew in the tests right now. The important
part is that all the tests pass.

.. _nose: http://code.google.com/p/python-nose/

You can check that hgsubversion is installed and properly activated using the
following command::

 $ hg version --svn
 Mercurial Distributed SCM (version ...)

 Copyright (C) 2005-2010 Matt Mackall <mpm@selenic.com> and others
 This is free software; see the source for copying conditions. There is NO
 warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

 hgsubversion: ...
 Subversion: ...
 bindings: Subvertpy ...

If your bindings are listed as `SWIG`, please consider installing Subvertpy_.

.. _Subvertpy: http://pypi.python.org/pypi/subvertpy

Further Reading
---------------

More information on how to use hgsubversion is available from within Mercurial
in the `subversion` help topic. To view it, use::

 $ hg help subversion

The Restructured Text source for this topic is also available in the file
``hgsubverson/help/subversion.rst``.


%prep
%setup -n %{name}-%{unmangled_version} -n %{name}-%{unmangled_version}

%build
python setup.py build

%install
python setup.py install -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%py_puresitedir/%{name}-*.egg-info
%py_puresitedir/%{name}/*.py
%py_puresitedir/%{name}/*/*.py
%py_puresitedir/%{name}/*/*.rst


%changelog

* Fri Dec 16 2011 shlomif <shlomif> 1.3-3.mga2
+ Revision: 182836
- Fixed the files section to handle the bytecode restrictions.
- Update group, summary and remove Vendor. Fix buildbot warnings
- New version (1.3) and add a call to mkrel
- imported package hgsubversion

